%define _with_mpg123 1
#
# spec file for package love
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%bcond_with mpg123

%define tipname rude-love-e7559e4345e1

Name:           love
Version:        0.8.0
Release:        6.2
Summary:        2D gaming engine written in Lua
License:        Zlib
Group:          Development/Languages/Other
Url:            http://love2d.org/
# 0.8.0 is not yet released, use tip from mercurial
Source:         https://bitbucket.org/rude/love/get/tip.tar.bz2
# PATCH-FEATURE-UPSTREAM love-0.8.0-unneeded_deps.patch https://bitbucket.org/rude/love/issue/290 reddwarf@opensuse.org -- Remove checks for libraries that are not (directly) used
Patch0:         love-0.8.0-unneeded_deps.patch
# PATCH-MISSING-TAG -- See http://wiki.opensuse.org/openSUSE:Packaging_Patches_guidelines
Patch1:         love-remove-mpg123.patch
Patch2:         love-modplug.patch
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gcc-c++
BuildRequires:  libtool
BuildRequires:  physfs-devel
BuildRequires:  pkgconfig(IL)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(libmodplug)
BuildRequires:  pkgconfig(lua) < 5.2
BuildRequires:  pkgconfig(lua) >= 5.1
BuildRequires:  pkgconfig(openal)
BuildRequires:  pkgconfig(sdl)
BuildRequires:  pkgconfig(vorbisfile)
%if %{with mpg123}
BuildRequires:  pkgconfig(libmpg123)
%endif

%description
LOVE is an *awesome* framework you can use to make
2D games in Lua. It's free, open-source, and works
on Windows, Mac OS X and Linux.

%prep
%setup -q -n %{tipname}
sed -i 's/\r$//' *.txt
%patch0
%if ! %{with mpg123}
%patch1
rm -f src/modules/sound/lullaby/Mpg123Decoder.{cpp,h}
%endif
%if 0%{?suse_version} < 1210
%patch2
%endif

%build
./platform/unix/automagic
%configure
make %{?_smp_mflags}

%install
%make_install

%files
%defattr(-,root,root)
%doc changes.txt license.txt readme.md
%{_bindir}/love

%changelog
* Thu Mar 22 2012 reddwarf@opensuse.org
- make MP3 support optional
- change licence to follow SPDX
- remove unneded libmng-devel and libtiff-devel build dependencies
- use pkgconfig() style build dependencies
- remove love-modplug.patch for >= 12.1
- force lua 5.1 and add autotools BT to fix Factory build
* Sun Mar 11 2012 prusnak@opensuse.org
- update to mercurial tip (upcoming 0.8.0)
* Tue Sep 13 2011 jmatejek@suse.com
- build fix - added devel dependencies for DevIL
- standard group name
* Wed Jun 22 2011 prusnak@opensuse.org
- created package (version 0.7.2)
